import logging
from app_blueprints import bp
from flask import Flask, render_template
import logger
from auth import token_required

app = Flask(__name__, static_folder='static', template_folder='static')
app.register_blueprint(bp, url_prefix='/api/v1')

logger.configLogger('flask-backend', "/var/log/flask-backend.log", 2*1024*1024, 2)
log = logging.getLogger('flask-backend')
log.info("Starting flask backend 2.0.2 ...")

@app.route("/app/paging_users_frame.html")
@app.route("/app/paging_users_frame.html/group-menu")
@app.route("/app/paging_users_frame.html/settings")
@app.route("/app/paging_users_frame.html/group-list")
@app.route("/app/paging_users_frame.html/device-message")
@token_required
def static_content():
    print()
    return render_template('index.html')


# @app.route("/")
# def static_content_2():
#     return render_template('index.html')

if __name__ == '__main__':
    app.run(host="0.0.0.0", port=5001)
